Bug 26266 - Add jQuery validator to opac-password-recovery.tt
Summary: Add jQuery validator to opac-password-recovery.tt
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Timothy Alexis Vass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-21 10:12 UTC by Timothy Alexis Vass
Modified: 2020-10-20 17:38 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26266: Add jQuery validator to opac-password-recovery.tt (1.71 KB, patch)
2020-08-21 10:37 UTC, Timothy Alexis Vass
Details | Diff | Splinter Review
Bug 26266: Add jQuery validator to opac-password-recovery.tt (4.09 KB, patch)
2020-08-24 08:38 UTC, Timothy Alexis Vass
Details | Diff | Splinter Review
Bug 26266: Add jQuery validator to opac-password-recovery.tt (4.24 KB, patch)
2020-08-24 08:59 UTC, Timothy Alexis Vass
Details | Diff | Splinter Review
Bug 26266: Add jQuery validator to opac-password-recovery.tt (3.25 KB, patch)
2020-08-24 09:06 UTC, Timothy Alexis Vass
Details | Diff | Splinter Review
Bug 26266: Add jQuery validator to opac-password-recovery.tt (4.14 KB, patch)
2020-09-18 05:58 UTC, Timothy Alexis Vass
Details | Diff | Splinter Review
Bug 26266: Add jQuery validator to opac-password-recovery.tt (4.18 KB, patch)
2020-09-23 11:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26266: Add jQuery validator to opac-password-recovery.tt (4.26 KB, patch)
2020-09-23 11:39 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Alexis Vass 2020-08-21 10:12:54 UTC

    
Comment 1 Timothy Alexis Vass 2020-08-21 10:37:30 UTC Comment hidden (obsolete)
Comment 2 Amit Gupta 2020-08-22 15:56:18 UTC
(In reply to Timothy Alexis Vass from comment #1)
> Created attachment 108800 [details] [review] [review]
> Bug 26266: Add jQuery validator to opac-password-recovery.tt
> 
> To test:
> 1) Initiate password recovery.
> 2) Try to enter an invalid password.
> 3) Confirm that validation occurs.
> 4) Try to enter mismatching passwords.
> 5) Confirm that validation occurs.
> 6) Sign off.

Hi Timothy,

I have applied the patch and not find any validation while entering the mismatch password.
Comment 3 Timothy Alexis Vass 2020-08-24 08:38:58 UTC Comment hidden (obsolete)
Comment 4 Timothy Alexis Vass 2020-08-24 08:59:07 UTC Comment hidden (obsolete)
Comment 5 Timothy Alexis Vass 2020-08-24 09:06:38 UTC
Created attachment 108975 [details] [review]
Bug 26266: Add jQuery validator to opac-password-recovery.tt

To test:
1) Initiate password recovery.
2) Try to enter an invalid password.
3) Confirm that validation occurs.
4) Try to enter mismatching passwords.
5) Confirm that validation occurs.
6) Sign off.
Comment 6 Timothy Alexis Vass 2020-08-24 09:08:51 UTC
I'm sorry for attaching so many patches... This one is correct.
Comment 7 Martin Renvoize 2020-09-16 15:54:33 UTC
I think this needs rebasing since bug 23816 was pushed.  I had a go, but I'm not close enough to this area of code to be confident.

Looks like a reasonable idea though, happy to test when it's ready :)
Comment 8 Timothy Alexis Vass 2020-09-18 05:58:15 UTC
Created attachment 110312 [details] [review]
Bug 26266: Add jQuery validator to opac-password-recovery.tt

To test:
0) Activate password reset in system preferences.
1) Initiate a password recovery.
2) Try to submit with an invalid password.
3) Confirm that validation occurs.
4) Try to submit with mismatching passwords.
5) Confirm that validation occurs.
6) Sign off.
Comment 9 Owen Leonard 2020-09-23 11:11:30 UTC
Created attachment 110589 [details] [review]
Bug 26266: Add jQuery validator to opac-password-recovery.tt

To test:
0) Activate password reset in system preferences.
1) Initiate a password recovery.
2) Try to submit with an invalid password.
3) Confirm that validation occurs.
4) Try to submit with mismatching passwords.
5) Confirm that validation occurs.
6) Sign off.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 10 Martin Renvoize 2020-09-23 11:39:20 UTC
Created attachment 110592 [details] [review]
Bug 26266: Add jQuery validator to opac-password-recovery.tt

To test:
0) Activate password reset in system preferences.
1) Initiate a password recovery.
2) Try to submit with an invalid password.
3) Confirm that validation occurs.
4) Try to submit with mismatching passwords.
5) Confirm that validation occurs.
6) Sign off.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 11 Martin Renvoize 2020-09-23 11:39:53 UTC
All works as expected, no regressions found.. Passing QA
Comment 12 Jonathan Druart 2020-10-01 09:45:08 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 13 Lucas Gass 2020-10-20 17:38:18 UTC
enhancement will not be backported to 20.05.x